aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/ijar/test/ijar_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/ijar/test/ijar_test.sh')
-rwxr-xr-xthird_party/ijar/test/ijar_test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 93f858690c..db9a3a7f4d 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -15,7 +15,6 @@
# TODO(bazel-team) test that modifying the source in a non-interface
# changing way results in the same -interface.jar.
-
DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
## Inputs
@@ -97,6 +96,7 @@ function check_consistent_file_contents() {
local actual="$(cat $1 | ${MD5SUM} | awk '{ print $1; }')"
local filename="$(echo $1 | ${MD5SUM} | awk '{ print $1; }')"
local expected="$actual"
+ disable_errexit
if $(echo "${expected_output}" | grep -q "^${filename} "); then
echo "${expected_output}" | grep -q "^${filename} ${actual}$" || {
ls -l "$1"
@@ -106,6 +106,7 @@ function check_consistent_file_contents() {
expected_output="$expected_output$filename $actual
"
fi
+ enable_errexit
}
function set_up() {